[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#549858: openssh-server: Support AuthorizedKeysFile in Match block?

Package: openssh-server
Version: 1:5.1p1-7
Severity: minor


it would be quite useful to be able to specify AuthorizedKeysFile in a
Match block in sshd_config.  The use-case is having different groups
whose ssh keys are distributed through multiple systems (think something
resembling userdir-ldap + puppet + manual copying).  We are currently
working around this by using AuthorizedKeysFile and AuthorizedKeysFile2,
but this doesn't scale beyond two locations and is a bit of a hack.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages openssh-server depends on:
ii  adduser                3.111             add and remove users and groups
ii  debconf [debconf-2.0]  1.5.27            Debian configuration management sy
ii  dpkg                Debian package management system
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libcomerr2             1.41.9-1          common error description library
ii  libgssapi-krb5-2       1.7dfsg~beta3-1   MIT Kerberos runtime libraries - k
ii  libk5crypto3           1.7dfsg~beta3-1   MIT Kerberos runtime libraries - C
ii  libkrb5-3              1.7dfsg~beta3-1   MIT Kerberos runtime libraries
ii  libpam-modules         1.1.0-4           Pluggable Authentication Modules f
ii  libpam-runtime         1.1.0-4           Runtime support for the PAM librar
ii  libpam0g               1.1.0-4           Pluggable Authentication Modules l
ii  libselinux1            2.0.85-4          SELinux runtime shared libraries
ii  libssl0.9.8            0.9.8k-5          SSL shared libraries
ii  libwrap0               7.6.q-18          Wietse Venema's TCP wrappers libra
ii  lsb-base               3.2-23            Linux Standard Base 3.2 init scrip
ii  openssh-blacklist      0.4.1             list of default blacklisted OpenSS
ii  openssh-client         1:5.1p1-7         secure shell client, an rlogin/rsh
ii  procps                 1:3.2.8-1.1       /proc file system utilities
ii  zlib1g                 1: compression library - runtime

Versions of packages openssh-server recommends:
ii  openssh-blacklist-extra       0.4.1      list of non-default blacklisted Op
ii  xauth                         1:1.0.3-2  X authentication utility

Versions of packages openssh-server suggests:
pn  molly-guard                   <none>     (no description available)
pn  rssh                          <none>     (no description available)
pn  ssh-askpass                   <none>     (no description available)
pn  ufw                           <none>     (no description available)

-- debconf information:
  ssh/new_config: true
* ssh/use_old_init_script: true
  ssh/disable_cr_auth: false

Tollef Fog Heen 
Redpill Linpro -- Changing the game!
t: +47 21 54 41 73

Reply to: